IRremoteESP8266: Hitachi1Protocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
Hitachi1Protocol Union Reference

Native representation of a Hitachi 104-bit A/C message. More...

`#include <ir_Hitachi.h>`

## Public Attributes

uint8_t | raw [kHitachiAc1StateLength]
| The state in native code. More...
struct {
uint8_t pad [3]
uint8_t __pad0__:6
uint8_t Model:2
uint8_t __pad1__:8
uint8_t Fan:4
uint8_t Mode:4
uint8_t __pad2__:2
uint8_t Temp:5
uint8_t __pad3__:1
uint8_t OffTimerLow:8
uint8_t OffTimerHigh:8
uint8_t OnTimerLow:8
uint8_t OnTimerHigh:8
uint8_t SwingToggle:1
uint8_t Sleep:3
uint8_t PowerToggle:1
uint8_t Power:1
uint8_t SwingV:1
uint8_t SwingH:1
uint8_t Sum:8
}; |

## Detailed Description

Native representation of a Hitachi 104-bit A/C message.

## Member Data Documentation

## ◆ @47

struct { ... }

## ◆ __pad0__

uint8_t Hitachi1Protocol::__pad0__

## ◆ __pad1__

uint8_t Hitachi1Protocol::__pad1__

## ◆ __pad2__

uint8_t Hitachi1Protocol::__pad2__

## ◆ __pad3__

uint8_t Hitachi1Protocol::__pad3__

## ◆ Fan

uint8_t Hitachi1Protocol::Fan

## ◆ Mode

uint8_t Hitachi1Protocol::Mode

## ◆ Model

uint8_t Hitachi1Protocol::Model

## ◆ OffTimerHigh

uint8_t Hitachi1Protocol::OffTimerHigh

## ◆ OffTimerLow

uint8_t Hitachi1Protocol::OffTimerLow

## ◆ OnTimerHigh

uint8_t Hitachi1Protocol::OnTimerHigh

## ◆ OnTimerLow

uint8_t Hitachi1Protocol::OnTimerLow

## ◆ pad

uint8_t Hitachi1Protocol::pad[3]

## ◆ Power

uint8_t Hitachi1Protocol::Power

## ◆ PowerToggle

uint8_t Hitachi1Protocol::PowerToggle

## ◆ raw

uint8_t Hitachi1Protocol::raw[kHitachiAc1StateLength]

The state in native code.

## ◆ Sleep

uint8_t Hitachi1Protocol::Sleep

## ◆ Sum

uint8_t Hitachi1Protocol::Sum

## ◆ SwingH

uint8_t Hitachi1Protocol::SwingH

## ◆ SwingToggle

uint8_t Hitachi1Protocol::SwingToggle

## ◆ SwingV

uint8_t Hitachi1Protocol::SwingV

## ◆ Temp

uint8_t Hitachi1Protocol::Temp

The documentation for this union was generated from the following file:

- src/ir_Hitachi.h